#variantControls .option-group[data-option-name="Size"],#variantControls .option-group[data-option-name="Color"]{    & .option[data-swatch] {
        border-radius: 50%;
        width: 40px;
        min-width: 0;
        height: 40px;
        padding: 0;
        overflow: hidden;
        transition: box-shadow .1s,border-color .2s ease-out;
        border: 1px solid #eee;
        box-shadow: 0 0 rgba(var(--text-color)/0);
        cursor: pointer;
    }

    & .option[data-swatch]::before {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        cursor: pointer;
        box-sizing: border-box;
        background-image: var(--swatch-image);
        background-color: var(--swatch-color);
    }

    & .option[data-swatch] span {
        display: none !important;
    }

    & .option[data-swatch]:has(input:checked) {
        border: 2px solid #fff;
        box-shadow: 0 0 0 2px #000;
    }
}#variantControls .option-group[data-option-name] .option[data-swatch="Medium"]::before {--swatch-image: url("https://sep.turbifycdn.com/ty/cdn/ytimes/M-circle-40x40.png?1784126542575558");}#variantControls .option-group[data-option-name] .option[data-swatch="Large"]::before {--swatch-color: #0000FF;}
